//
// credits.cpp
//
// "credits" screen
//
//
// Author: Tomi Belan <tomi.belan@gmail.com>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include "helpscreen.h"
#include "mainmenu.h"
#include "main.h"

HelpScreen::HelpScreen()
{
}

HelpScreen::~HelpScreen()
{
}
  
void HelpScreen::event(SDL_Event *e)
{
  if(e->type == SDL_KEYDOWN) {
    int sym = e->key.keysym.sym;
    if(sym == SDLK_ESCAPE || sym == SDLK_RETURN || sym == SDLK_SPACE)
      newProgramMode = new MainMenu();
  }
  if(e->type == SDL_MOUSEBUTTONUP)
    newProgramMode = new MainMenu();
}

void HelpScreen::activate()
{
  SDL_FillRect(screen, &screen->clip_rect, SDL_MapRGB(screen->format, 0, 0, 0));
  simpleText("Gulf of Death:", -4);
  simpleText("Player 1 (left): slower projectile, faster ship", -2);
  simpleText("WASD = move, Tab/Space = shoot, Z = teleport", -1);
  simpleText("Player 2 (right): faster projectile, slower ship", 0);
  simpleText("Arrows = move, Enter = shoot, Delete = teleport", 1);
  simpleText("Enjoy!", 3);
  SDL_Flip(screen);
}

